- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
mysqlpp::Option Class Referenceabstract

Define abstract interface for all *Option subclasses. More...

`#include <options.h>`

Inheritance diagram for mysqlpp::Option:
[legend]

## Public Types
enum | Error { err_NONE, err_api_limit, err_api_reject, err_connected, err_disconnected }
| Types of option setting errors we can diagnose. More...

## Public Member Functions
virtual | ~Option ()
| Destroy object.
virtual Error | set (DBDriver *dbd)=0
| Apply option.

## Detailed Description

Define abstract interface for all *Option subclasses.

This is the base class for the mid-level interface classes that take arguments, plus the direct base for options that take no arguments.

## Member Enumeration Documentation

enum mysqlpp::Option::Error

Types of option setting errors we can diagnose.

Enumerator
err_NONE | option was set successfully
err_api_limit | option not supported by underlying C API
err_api_reject | underlying C API returned error when setting option
err_connected | can't set the given option while connected
err_disconnected | can only set the given option while connected

The documentation for this class was generated from the following file:

- options.h